---
title: "Delete a receipt · Transactions · COUNT Partner API"
description: "Removes a receipt and all of its images from a transaction. DELETE /partners/transactions/{uuid}/receipts/{receiptUuid}"
canonical: "https://developers.getcount.com/reference/transactions/delete-transaction-receipt"
source: "https://developers.getcount.com/reference/transactions/delete-transaction-receipt"
---
[Transactions](https://developers.getcount.com/reference/transactions) / Delete a receipt

# Delete a receipt

DELETE `/partners/transactions/{uuid}/receipts/{receiptUuid}`

Removes a receipt and all of its images from a transaction.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=DELETE&path=%2Fpartners%2Ftransactions%2F%7Buuid%7D%2Freceipts%2F%7BreceiptUuid%7D)

[Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts) [Bills API](https://developers.getcount.com/reference/bills) [Invoices API](https://developers.getcount.com/reference/invoices)

#### Path parameters

`uuid` uuid required

The transaction UUID.

`receiptUuid` uuid required

The receipt UUID from List transaction receipts.

#### Responses

`200` Receipt removed.

`404` Transaction or receipt not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous PATCH Update a receipt note](https://developers.getcount.com/reference/transactions/update-transaction-receipt) [Next GET Get receipt image content](https://developers.getcount.com/reference/transactions/get-transaction-receipt-image-content)

DELETE `https://api.getcount.com/partners/transactions/{uuid}/receipts/{receiptUuid}`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/transactions/3fa85f64-5717-4562-b3fc-2c963f66afa6/receipts/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/transactions/3fa85f64-5717-4562-b3fc-2c963f66afa6/receipts/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "success on deletion"
}
```
